# BEGIN SourceDeps(oneline):
BuildRequires: perl(Articulate.pm) perl(Dancer.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/All.pm) perl(Moo.pm) perl(Test/Kwalitee.pm) perl(Throwable.pm) perl(MooX/Singleton.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Dancer-Plugin-Articulate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Dancer interface to a lightweight Perl CMS Framework
Group: Development/Perl
License: perl
URL: http://github.com/pdl/Articulate

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERRETTDL/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Dancer;
  use Dancer::Plugin::Articulate;
  my $app = articulate_app;
  $app->enable;
  dance;

  # in config.yml
  plugins:
    Articulate:
      components:
        framework: Articulate::FrameworkAdapter::Dancer1
      # Other Articulate config goes here

Creates an instance of the Articulate manpage using your Dancer config, and
enables the app, declaring routes, etc. See the Articulate manpage for how to
configure and use it, and the Articulate::FrameworkAdapter::Dancer1 manpage for
details of the integration between Dancer1 and Articulate.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/D*

%changelog
* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

